POST /network-requirements
curl --request POST \
--url https://api.example.com/network-requirements \
--header 'Content-Type: application/json' \
--data '
{
"networkState": "<unknown>",
"query": "<string>"
}
'import requests
url = "https://api.example.com/network-requirements"
payload = {
"networkState": "<unknown>",
"query": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({networkState: '<unknown>', query: '<string>'})
};
fetch('https://api.example.com/network-requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_health": "<string>",
"recommendations": [
"<string>"
],
"resource_allocation": {
"battery_threshold": 1,
"drones": 1,
"response_time_target": "<string>",
"sectors": 1
},
"status": "<string>",
"timestamp": "<string>"
}resq-backend
POST /network-requirements
Calculates drone network requirements and resource allocation based on the provided parameters.
POST
/
network-requirements
POST /network-requirements
Body
application/json
Response
Network requirements calculated
Response payload for network requirements analysis.
Overall health of the network.
List of recommendations for the network.
Recommended resource allocation.
Show child attributes
Show child attributes
Status of the analysis.
ISO 8601 timestamp of the response.
Was this page helpful?
⌘I